#
# Conditional build:
%bcond_without	apidocs		# API documentation

%define		gstname		gst-libav
%define		gstmver		1.0
%define		gst_ver		1.19.3
%define		gstpb_ver	1.19.3
%define		ffmpeg_ver	4.1.3

Summary:	GStreamer Streaming-media framework plug-in using libav
Summary(pl.UTF-8):	Wtyczka do środowiska obróbki strumieni GStreamer używająca libav
Name:		gstreamer-libav
Version:	1.19.3
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://gstreamer.freedesktop.org/src/gst-libav/%{gstname}-%{version}.tar.xz
# Source0-md5:	e81d6e257521841c92dc8cc4e2d2f270
URL:		https://gstreamer.freedesktop.org/
# libavfilter >= 7.16.100, libavformat >= 58.12.100, libavcodec >= 58.18.100, libavutil >= 56.14.100
BuildRequires:	ffmpeg-devel >= %{ffmpeg_ver}
BuildRequires:	gstreamer-devel >= %{gst_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gstpb_ver}
%{?with_apidocs:BuildRequires:	hotdoc >= 0.11.0}
BuildRequires:	meson >= 0.48.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	python >= 2.1
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	ffmpeg-libs >= %{ffmpeg_ver}
Requires:	gstreamer >= %{gst_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_ver}
Obsoletes:	gstreamer-ffmpeg < 1
Obsoletes:	gstreamer-real < 1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		filterout	-flto

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

This plugin contains the libav codecs, containing codecs for most
popular multimedia formats.

%description -l pl.UTF-8
GStreamer to środowisko obróbki danych strumieniowych, bazujące na
grafie filtrów operujących na danych medialnych. Aplikacje używające
tej biblioteki mogą robić wszystko od przetwarzania dźwięku w czasie
rzeczywistym, do odtwarzania filmów i czegokolwiek innego związanego z
mediami. Architektura bazująca na wtyczkach pozwala na łatwe dodawanie
nowych typów danych lub możliwości obróbki.

Wtyczka ta zawiera kodeki libav, potrafiące zdekodować
najpopularniejsze formaty multimedialne.

%package apidocs
Summary:	API documentation for GStreamer libav plugin
Summary(pl.UTF-8):	Dokumentacja API do wtyczki GStreamera libav
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for GStreamer libav plugin.

%description apidocs -l pl.UTF-8
Dokumentacja API do wtyczki GStreamera libav.

%prep
%setup -q -n %{gstname}-%{version}

%build
%meson build \
	--default-library=shared \
	%{!?with_apidocs:-Ddoc=false}

%ninja_build -C build

%if %{with apidocs}
cd build/docs
LC_ALL=C.UTF-8 hotdoc run --conf-file libav-doc.json
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_docdir}/gstreamer-%{gstmver}
cp -pr build/docs/libav-doc $RPM_BUILD_ROOT%{_docdir}/gstreamer-%{gstmver}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/gstreamer-%{gstmver}/libgstlibav.so

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/gstreamer-%{gstmver}/libav-doc
%changelog
* Tue Nov 30 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-libav.git;a=log;h=master

* Tue Nov 30 2021 Jan Rękorajski <baggins@pld-linux.org> 7f50eba
- up to 1.19.3

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> cd31ca9
- rebuild with separate debuginfo build-ids

* Sun Oct 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 26aae24
- updated to 1.18.5; now uses meson+hotdoc and supports only system ffmpeg

* Sun Oct 10 2021 Jakub Bogusz <qboosh@pld-linux.org> c04d859
- versioned Obsoletes

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> e7f3f52
- updated to 1.16.3

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 2443371
- unconditional noarch subpackages

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 7f6dad0
- updated to 1.16.2

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c05a937
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Jul 06 2019 Jakub Bogusz <qboosh@pld-linux.org> cf39e66
- trying to unify macro names

* Mon Jun 03 2019 Bartek Szady <bszx@bszx.eu> 589cfce
- updated to 1.16.0

* Mon Apr 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 41da5e7
- updated dependencies

* Wed Dec 26 2018 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> bbf4ec6
- Updated to 1.14.4

* Sun Sep 09 2018 Jan Palus <atler@pld-linux.org> 105243b
- up to 1.14.2

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 224b253
- release 2 (by relup.sh)

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 0146341
- updated to 1.12.4 (ffmpeg 3.3.5)

* Thu Jul 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 183c7ce
- updated to 1.12.2 (ffmpeg 3.3.2)

* Sun May 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 7ad4e95
- updated to 1.12.0

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 60a05c4
- noarch apidocs

* Tue Apr 26 2016 Jakub Bogusz <qboosh@pld-linux.org> ce3aff3
- updated to 1.8.1 (ffmpeg 3.0.1)

* Mon Jan 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 9247baa
- updated to 1.6.3 (ffmpeg 2.8.5)

